Skip to content
Start here

Retrieve information about a specific schema on a zone

Deprecated
client.apiGateway.userSchemas.get(stringschemaId, UserSchemaGetParams { zone_id, omit_source } params, RequestOptionsoptions?): OldPublicSchema { created_at, kind, name, 3 more }
GET/zones/{zone_id}/api_gateway/user_schemas/{schema_id}

Gets detailed information about a specific uploaded OpenAPI schema, including its contents and validation configuration.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayAccount API Gateway ReadDomain API GatewayDomain API Gateway Read
ParametersExpand Collapse
schemaId: string
formatuuid
maxLength36
params: UserSchemaGetParams { zone_id, omit_source }
zone_id: string

Path param: Identifier.

maxLength32
omit_source?: boolean

Query param: Omit the source-files of schemas and only retrieve their meta-data.

ReturnsExpand Collapse
OldPublicSchema { created_at, kind, name, 3 more }
created_at: string
formatdate-time
kind: "openapi_v3"

Kind of schema

name: string

Name of the schema

schema_id: string

UUID.

maxLength36
minLength36
source?: string

Source of the schema

validation_enabled?: boolean

Flag whether schema is enabled for validation.

Retrieve information about a specific schema on a zone

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const oldPublicSchema = await client.apiGateway.userSchemas.get(
  'f174e90a-fafe-4643-bbbc-4a0ed4fc8415',
  { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(oldPublicSchema.schema_id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "openapi_v3",
    "name": "petstore schema",
    "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "source": "<schema file bytes>",
    "validation_enabled": true
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "openapi_v3",
    "name": "petstore schema",
    "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "source": "<schema file bytes>",
    "validation_enabled": true
  },
  "success": true
}